MPD

- Main Page
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields

# tag_item Struct Reference

One tag value. More...

`#include <tag.h>`

## Data Fields
enum tag_type | type
| the type of this item
char | value [sizeof(long)]
| the value of this tag; this is a variable length string

## Detailed Description

One tag value.

It is a mapping of tag_type to am arbitrary string value. Each tag can have multiple items of one tag type (although few clients support that).

Definition at line 68 of file tag.h.

## Field Documentation

enum tag_type tag_item::type

the type of this item

Definition at line 70 of file tag.h.

char tag_item::value[sizeof(long)]

the value of this tag; this is a variable length string

Definition at line 75 of file tag.h.

The documentation for this struct was generated from the following file:

- src/tag.h